# set_substvar() and substvars() tests
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of the ProteanOS Development Kit.
#
# The ProteanOS Development Kit is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Development Kit is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Development Kit.  If not, see
# <http://www.gnu.org/licenses/>.

set -eu

main()
{
	plan_ 2

	command_ok_ 'setting source substvar' -- \
		set_substvar 'Source-Substvar' '
Source substvar value
'
	
	is 'source package substvars' \
		"$(substvars 'Field: ${Source-Substvar}')" \
		'Field: Source substvar value'

	return 0
}
